org.glassfish.jersey.logging

## Enum LoggingFeature.Verbosity

- java.lang.Object
- - java.lang.Enum<LoggingFeature.Verbosity>
  - - org.glassfish.jersey.logging.LoggingFeature.Verbosity

All Implemented Interfaces:
  Serializable, Comparable<LoggingFeature.Verbosity>

Enclosing class:
  LoggingFeature

    public static enum LoggingFeature.Verbosity
    extends Enum<LoggingFeature.Verbosity>

`Verbosity` determines how detailed message will be logged.

- The lowest verbosity (`HEADERS_ONLY`) will log only request/response headers.
- The medium verbosity will log request/response headers, as well as an entity if considered a readable text. See `PAYLOAD_TEXT`.
- The highest verbosity will log all types of an entity (besides the request/response headers.

Note that the entity is logged up to the maximum number specified in any of the following constructors `LoggingFeature.LoggingFeature(Logger, Integer)`, `LoggingFeature.LoggingFeature(Logger, Level, Verbosity, Integer)` or by some of the feature's properties (see `LoggingFeature.LOGGING_FEATURE_MAX_ENTITY_SIZE`, `LoggingFeature.LOGGING_FEATURE_MAX_ENTITY_SIZE_CLIENT`, `LoggingFeature.LOGGING_FEATURE_MAX_ENTITY_SIZE_SERVER`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HEADERS_ONLY` Only content of HTTP headers is logged.
`PAYLOAD_ANY` Full verbose logging.
`PAYLOAD_TEXT` Content of HTTP headers as well as entity content of textual media types is logged.

### Method Summary

All Methods Static Methods Concrete Methods
`static LoggingFeature.Verbosity` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LoggingFeature.Verbosity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HEADERS_ONLY

    public static final LoggingFeature.Verbosity HEADERS_ONLY

Only content of HTTP headers is logged. No message payload data are logged.

#### PAYLOAD_TEXT

    public static final LoggingFeature.Verbosity PAYLOAD_TEXT

Content of HTTP headers as well as entity content of textual media types is logged. Following is the list of media types that are considered textual for the logging purposes:

- `text/*`
- `application/atom+xml`
- `application/json`
- `application/svg+xml`
- `application/x-www-form-urlencoded`
- `application/xhtml+xml`
- `application/xml`

#### PAYLOAD_ANY

    public static final LoggingFeature.Verbosity PAYLOAD_ANY

Full verbose logging. Content of HTTP headers as well as any message payload content will be logged.

### Method Detail

#### values

    public static LoggingFeature.Verbosity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LoggingFeature.Verbosity c : LoggingFeature.Verbosity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LoggingFeature.Verbosity valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null